'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var rollup = require('rollup');
var esbuild$1 = _interopDefault(require('rollup-plugin-esbuild'));

var esbuild = () => {
  return async (filename, options) => {
    const bundle = await rollup.rollup({
      input: filename,
      plugins: [
        esbuild$1({
          target: "es2019",
          jsxFactory: "React.createElement",
          jsxFragment: "React.Fragment",
          ...options != null ? options : {}
        })
      ],
      onwarn(warning, defaultHandler) {
        return;
      }
    });
    const {output} = await bundle.generate({sourcemap: true, format: "cjs"});
    const {code, map} = output.shift();
    return {code, map: (map != null ? map : "").toString()};
  };
};

module.exports = esbuild;
